<?xml version="1.0" encoding="UTF-8"?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"><html xmlns="http://www.w3.org/1999/xhtml" lang="en"><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8"/><link rel="stylesheet" href="../jacoco-resources/report.css" type="text/css"/><link rel="shortcut icon" href="../jacoco-resources/report.gif" type="image/gif"/><title>LiquibaseConfiguration.java</title><link rel="stylesheet" href="../jacoco-resources/prettify.css" type="text/css"/><script type="text/javascript" src="../jacoco-resources/prettify.js"></script></head><body onload="window['PR_TAB_WIDTH']=4;prettyPrint()"><div class="breadcrumb" id="breadcrumb"><span class="info"><a href="../jacoco-sessions.html" class="el_session">Sessions</a></span><a href="../index.html" class="el_report">Test App J Hipster</a> &gt; <a href="index.source.html" class="el_package">com.theo.myjhipster.config</a> &gt; <span class="el_source">LiquibaseConfiguration.java</span></div><h1>LiquibaseConfiguration.java</h1><pre class="source lang-java linenums">package com.theo.myjhipster.config;

import javax.sql.DataSource;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.boot.autoconfigure.liquibase.LiquibaseProperties;
import org.springframework.cache.CacheManager;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.core.env.Environment;
import org.springframework.core.task.TaskExecutor;

import io.github.jhipster.config.JHipsterConstants;
import io.github.jhipster.config.liquibase.AsyncSpringLiquibase;
import liquibase.integration.spring.SpringLiquibase;

@Configuration
public class LiquibaseConfiguration {

<span class="fc" id="L22">    private final Logger log = LoggerFactory.getLogger(LiquibaseConfiguration.class);</span>

    private final Environment env;

    private final CacheManager cacheManager;

<span class="fc" id="L28">    public LiquibaseConfiguration(Environment env, CacheManager cacheManager) {</span>
<span class="fc" id="L29">        this.env = env;</span>
<span class="fc" id="L30">        this.cacheManager = cacheManager;</span>
<span class="fc" id="L31">    }</span>

    @Bean
    public SpringLiquibase liquibase(@Qualifier(&quot;taskExecutor&quot;) TaskExecutor taskExecutor,
            DataSource dataSource, LiquibaseProperties liquibaseProperties) {

        // Use liquibase.integration.spring.SpringLiquibase if you don't want Liquibase to start asynchronously
<span class="fc" id="L38">        SpringLiquibase liquibase = new AsyncSpringLiquibase(taskExecutor, env);</span>
<span class="fc" id="L39">        liquibase.setDataSource(dataSource);</span>
<span class="fc" id="L40">        liquibase.setChangeLog(&quot;classpath:config/liquibase/master.xml&quot;);</span>
<span class="fc" id="L41">        liquibase.setContexts(liquibaseProperties.getContexts());</span>
<span class="fc" id="L42">        liquibase.setDefaultSchema(liquibaseProperties.getDefaultSchema());</span>
<span class="fc" id="L43">        liquibase.setDropFirst(liquibaseProperties.isDropFirst());</span>
<span class="fc" id="L44">        liquibase.setChangeLogParameters(liquibaseProperties.getParameters());</span>
<span class="pc bpc" id="L45" title="1 of 2 branches missed.">        if (env.acceptsProfiles(JHipsterConstants.SPRING_PROFILE_NO_LIQUIBASE)) {</span>
<span class="nc" id="L46">            liquibase.setShouldRun(false);</span>
        } else {
<span class="fc" id="L48">            liquibase.setShouldRun(liquibaseProperties.isEnabled());</span>
<span class="fc" id="L49">            log.debug(&quot;Configuring Liquibase&quot;);</span>
        }
<span class="fc" id="L51">        return liquibase;</span>
    }
}
</pre><div class="footer"><span class="right">Created with <a href="http://www.jacoco.org/jacoco">JaCoCo</a> 0.8.2.201808211720</span></div></body></html>